/*******************************************************************************
    Copyright (c) 2013 NVidia Corporation

    Permission is hereby granted, free of charge, to any person obtaining a copy
    of this software and associated documentation files (the "Software"), to
    deal in the Software without restriction, including without limitation the
    rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
    sell copies of the Software, and to permit persons to whom the Software is
    furnished to do so, subject to the following conditions:

        The above copyright notice and this permission notice shall be
        included in all copies or substantial portions of the Software.

    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
    IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
    FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
    THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
    LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
    FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
    DEALINGS IN THE SOFTWARE.
*******************************************************************************/

/*
 * This fileContains the call signatures and defines for all RM <-> UVM
 * interface tests.
 */

#ifndef _UVM_GPU_OPS_TESTS_H_
#define _UVM_GPU_OPS_TESTS_H_

#if defined(DEBUG)

#include "uvmtypes.h"

void gpuOpsSampleTest(UvmGpuUuid * pUuidStruct);
#define UVM_GPU_OPS_SAMPLE_TEST                                              0x1

void pageMigrationTest(UvmGpuUuid  * pUuidStruct);
#define UVM_PAGE_MIGRATION_TEST                                              0x2

void channelMgmtApiBasicMigrationTest(UvmGpuUuid *pGpuUuidStruct);
#define UVM_CHANNEL_MGMT_API_BASIC_MIGRATION_TEST                            0x3

void channelMgmtApiPushbufferSimpleSanityTest(UvmGpuUuid *pGpuUuidStruct);
#define UVM_CHANNEL_MGMT_API_PUSHBUFFER_SIMPLE_SANITY_TEST                   0x4

#endif

#endif // _UVM_GPU_OPS_TESTS_H_
